> ## Documentation Index
> Fetch the complete documentation index at: https://docs.craveup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the customer loyalty account, tier, membership, and wallet



## OpenAPI

````yaml /generated/storefront.openapi.json get /customer/locations/{locationId}/loyalty/account
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://sandbox-api.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Customer Auth
  - name: Catering
  - name: Loyalty
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Carts
  - name: Analytics
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Customers
  - name: Orders
paths:
  /customer/locations/{locationId}/loyalty/account:
    get:
      tags:
        - Loyalty
      summary: Get the customer loyalty account, tier, membership, and wallet
      operationId: storefrontGetCustomerLoyaltyAccount
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
      responses:
        '200':
          description: Customer loyalty account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoyaltyAccount'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '401':
          description: Authentication or capability authorization is required.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '403':
          description: The authenticated principal does not own this resource.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security:
        - StorefrontCustomerAuth: []
components:
  schemas:
    LoyaltyAccount:
      type: object
      properties:
        enabled:
          type: boolean
        authority:
          type: string
          enum:
            - SQUARE
            - LIP
        enrollmentRequired:
          type: boolean
        program:
          type: object
          properties:
            id:
              type: string
              minLength: 1
              maxLength: 128
            name:
              type: string
            description:
              type: string
            currency:
              type: string
              pattern: ^[A-Z]{3}$
          required:
            - id
          additionalProperties: false
        member:
          type: object
          properties:
            status:
              type: string
              enum:
                - active
                - suspended
                - closed
            joinedAt:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
          required:
            - status
            - joinedAt
          additionalProperties: false
        balances:
          type: array
          items:
            type: object
            properties:
              unit:
                type: string
              label:
                type: string
              posted:
                type: number
              reserved:
                type: number
              available:
                type: number
              lifetime:
                type: number
              asOf:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            required:
              - unit
              - posted
              - reserved
              - available
              - asOf
            additionalProperties: false
        metrics:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 128
              name:
                type: string
              unit:
                type: string
              amount:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              asOf:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            required:
              - id
              - unit
              - amount
              - asOf
            additionalProperties: false
        expiringBalances:
          type: array
          items:
            type: object
            properties:
              unit:
                type: string
              amount:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 9007199254740991
              expiresAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            required:
              - unit
              - amount
              - expiresAt
            additionalProperties: false
        tier:
          type: object
          properties:
            current:
              type: object
              properties:
                id:
                  type: string
                  minLength: 1
                  maxLength: 128
                name:
                  type: string
                minimum:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                earnMultiplierBps:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                benefits:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 128
                      name:
                        type: string
                      description:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
              required:
                - id
                - name
              additionalProperties: false
            next:
              type: object
              properties:
                id:
                  type: string
                  minLength: 1
                  maxLength: 128
                name:
                  type: string
                minimum:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                earnMultiplierBps:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                benefits:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 128
                      name:
                        type: string
                      description:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
              required:
                - id
                - name
              additionalProperties: false
            qualification:
              type: object
              properties:
                metricId:
                  type: string
                  minLength: 1
                  maxLength: 128
                currentAmount:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                remainingToNext:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                progressBps:
                  type: integer
                  minimum: 0
                  maximum: 10000
                isTopTier:
                  type: boolean
                period:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - annual
                    startsMonth:
                      type: integer
                      minimum: 1
                      maximum: 12
                    startsDay:
                      type: integer
                      minimum: 1
                      maximum: 31
                    timeZone:
                      type: string
                    effectiveFrom:
                      type: string
                      format: date
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                  required:
                    - type
                    - startsMonth
                    - startsDay
                    - timeZone
                  additionalProperties: false
              required:
                - metricId
                - currentAmount
                - progressBps
                - isTopTier
              additionalProperties: false
          required:
            - current
            - qualification
          additionalProperties: false
        membership:
          type: object
          properties:
            planId:
              type: string
              minLength: 1
              maxLength: 128
            name:
              type: string
            status:
              type: string
              enum:
                - active
                - lapsed
                - cancelled
            validFrom:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            validUntil:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            earnMultiplierBps:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            benefitRewardIds:
              type: array
              items:
                type: string
                minLength: 1
                maxLength: 128
          required:
            - planId
            - name
            - status
            - validFrom
            - validUntil
            - benefitRewardIds
          additionalProperties: false
        membershipPlans:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 128
              name:
                type: string
              earnMultiplierBps:
                type: integer
                minimum: 0
                maximum: 9007199254740991
              benefitRewardIds:
                type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 128
            required:
              - id
              - name
              - benefitRewardIds
            additionalProperties: false
        rewardCatalog:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 128
              name:
                type: string
              description:
                type: string
              cost:
                type: object
                properties:
                  unit:
                    type: string
                  amount:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - unit
                  - amount
                additionalProperties: false
              availableFrom:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
              availableUntil:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
              membershipPlanIds:
                type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 128
            required:
              - id
              - name
              - cost
              - membershipPlanIds
            additionalProperties: false
        issuedRewards:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 128
              rewardId:
                type: string
                minLength: 1
                maxLength: 128
              name:
                type: string
              description:
                type: string
              status:
                type: string
                enum:
                  - issued
              issuedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
              expiresAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            required:
              - id
              - rewardId
              - status
              - issuedAt
            additionalProperties: false
      required:
        - enabled
      additionalProperties: false
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - CUSTOMER_AUTH_CODE_REJECTED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - REQUOTE_REQUIRED
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
  securitySchemes:
    StorefrontCustomerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: >-
        Merchant-bound opaque customer access capability returned by fresh code
        verification or refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.